#!/bin/sh


JAVA_HOME=../../tools/jre-1.5.0/jre
JDBC_JAR=

export LD_LIBRARY_PATH=../..

INBOXLISTENER_HOME=$PWD/..


JAVA_OPTS="-Dfunambol.inboxlistener.home=$INBOXLISTENER_HOME -Djava.library.path=$INBOXLISTENER_HOME/lib/linux -Dcom.sun.management.jmxremote -Dcom.sun.management.jmxremote.port=3098 -Dcom.sun.management.jmxremote.ssl=false -Dcom.sun.management.jmxremote.authenticate=false"


IL_LIB="$INBOXLISTENER_HOME/lib/funambol-framework.jar:$INBOXLISTENER_HOME/lib/funambol-server.jar:$INBOXLISTENER_HOME/lib/funambol-ext-6.0.0.jar:$INBOXLISTENER_HOME/lib/axis.jar:$INBOXLISTENER_HOME/lib/commons-dbcp-1.2.1.jar:$INBOXLISTENER_HOME/lib/commons-discovery-0.4.jar:$INBOXLISTENER_HOME/lib/commons-lang-2.2.jar:$INBOXLISTENER_HOME/lib/commons-logging-1.1.jar:$INBOXLISTENER_HOME/lib/commons-pool-1.3.jar:$INBOXLISTENER_HOME/lib/commons-httpclient-3.1-beta1.jar:$INBOXLISTENER_HOME/lib/commons-codec-1.3.jar:$INBOXLISTENER_HOME/lib/jaxrpc.jar:$INBOXLISTENER_HOME/lib/log4j-1.2.14.jar:$INBOXLISTENER_HOME/lib/saaj.jar:$INBOXLISTENER_HOME/lib/wsdl4j-1.5.1.jar:$INBOXLISTENER_HOME/lib/mail.jar:$INBOXLISTENER_HOME/lib/activation.jar"

IL_JAR="$INBOXLISTENER_HOME/lib/funambol-inboxlistener-6.0.0.jar"

CLASSPATH="-classpath $JDBC_JAR:$IL_LIB:$IL_JAR"


JAVA_EXEC="$JAVA_HOME/bin/java"


$JAVA_EXEC $JAVA_OPTS $CLASSPATH com.funambol.email.inboxlistener.engine.MessageProcessor
